local XianzhiLogic = require("xianzhi.XianzhiLogic")


-- 先知查询
function CG_XIANZHI_QUERY(human, msg)
	XianzhiLogic.query(human, msg.type)
end

-- 召唤
function CG_XIANZHI_ZHAOHUAN_DO(human, msg)
	XianzhiLogic.zhaohuanDo(human, msg.camp, msg.cnt, msg.skip)
end

-- 置换
function CG_XIANZHI_ZHIHUAN_QUERY(human, msg)
	XianzhiLogic.zhihuanQuery(human, msg.heroID, msg.heroIndex)
end

function CG_XIANZHI_ZHIHUAN_DO(human, msg)
	XianzhiLogic.zhihuanDo(human, msg.heroID, msg.heroIndex)
end

function CG_XIANZHI_DETAIL(human, msg)
    XianzhiLogic.detail(human, msg.camp)
end

function CG_XIANZHI_ZHIHUAN_PREVIEW(human, msg)
	XianzhiLogic.preview(human, msg.camp, msg.star)
end